﻿Type=Service
Version=5.8
ModulesStructureVersion=1
B4A=true
@EndOfDesignText@
#Region  Service Attributes 
	#StartAtBoot: true
#End Region

Sub Process_Globals
	'These global variables will be declared once when the application starts.
	'These variables can be accessed from all modules.

	Private rv As RemoteViews
	Private timer1 As Timer
	Private minute As Int
End Sub

Sub Service_Create
	rv = ConfigureHomeWidget("frmWidget", "rv", 30, "HomeClock", True)
	rv.SetTextSize("lblTime", 110)
	
	DateTime.TimeFormat="HH:mm"
	DateTime.DateFormat="EEEE, dd MMM"
	minute = -1
		
	timer1.Initialize("timer1", 1000)
	timer1.Enabled = True
End Sub

Sub Service_Start (StartingIntent As Intent)
	If rv.HandleWidgetEvents(StartingIntent) Then Return
End Sub

Sub Service_Destroy

End Sub

Private Sub timer1_Tick
	If minute <> DateTime.GetMinute(DateTime.Now) Then
		minute = DateTime.GetMinute(DateTime.Now)
		'Log("timer1_Tick")
		rv_RequestUpdate
	End If
End Sub

Sub SetTime
	rv.SetText("lblTime", DateTime.Time(DateTime.Now))
	rv.SetText("lblDate", DateTime.Date(DateTime.Now))
End Sub

Sub rv_RequestUpdate
	SetTime
    rv.UpdateWidget
End Sub

Sub rv_Disabled
	StopService("")
End Sub
